is_file
is_readable
Filesystem Functions
PHP Manual

# is_link

Tells whether the filename is a symbolic link

### Description

bool is_link ( string `$filename` )

Tells whether the given file is a symbolic link.

### Parameters

`filename`

  Path to the file.

### Return Values

Returns `TRUE` if the filename exists and is a symbolic link, `FALSE` otherwise.

### Examples

Example #1 Create and confirm if a file is a symbolic link

`<?php
$link = 'uploads';
if (is_link($link)) {
echo(readlink($link));
} else {
symlink('uploads.php', $link);
}
?>`

### Errors/Exceptions

Upon failure, an `E_WARNING` is emitted.

### Notes

> Note: The results of this function are cached. See clearstatcache for more details.

Tip

As of PHP 5.0.0, this function can also be used with some URL wrappers. Refer to Supported Protocols and Wrappers to determine which wrappers support stat family of functionality.

### See Also

- is_dir
- is_file
- readlink